Get one connection (status, linked apps, non-secret account identifiers).

GEThttps://api.appgoat.ai/v1/connections/{id}
FreeoperationId getConnection

Request

curl "https://api.appgoat.ai/v1/connections/123" \
  -H "x-api-key: $APPGOAT_API_KEY"

Path parameters

idstringrequired
Connection id (con_…).

Response

200 with data: Connection. See the envelope for meta.

idstring
providerProvider
asc = App Store Connect, play_console = Google Play Console, apple_ads = Apple Ads (Search Ads).
labelstring
mode"actions" | "read_only"
status"active" | "invalid" | "deleted"
accountobject
Non-secret identifiers (issuer_id, key_id, client_email, ad_account_id, ad_account_name, currency, …).
appsLinkedApp[]
last_verified_atstring | null
last_errorstring | null
last_synced_atstring | null
Last downloads / proceeds sync (ASC with vendor_number
created_atstring
available_appsLinkedApp[]
Only on verify.
Example
{
  "data": {
    "id": "con_x8Hq2mXc0aLpQwRtYb",
    "provider": "asc",
    "label": "string",
    "mode": "actions",
    "status": "active",
    "account": {},
    "apps": [
      {
        "store": "apple",
        "app_id": "324684580",
        "external_id": "string",
        "title": "Spotify: Music and Podcasts",
        "bundle_id": "string"
      }
    ],
    "last_verified_at": "2026-10-22T10:00:00Z",
    "last_error": "string",
    "last_synced_at": "2026-10-22T10:00:00Z",
    "created_at": "2026-10-22T10:00:00Z",
    "available_apps": [
      {
        "store": "apple",
        "app_id": "324684580",
        "external_id": "string",
        "title": "Spotify: Music and Podcasts",
        "bundle_id": "string"
      }
    ]
  },
  "meta": {
    "credits_used": 0,
    "credits_remaining": 9981,
    "request_id": "req_123"
  }
}

Status codes

200
The connection.
Missing or invalid API key.
Not found.
Too many requests per second for your plan.